<?php
/**
 * The Footer: widgets area, logo, footer menu and socials
 *
 * @package WordPress
 * @subpackage CASAMIA
 * @since CASAMIA 1.0
 */

						// Widgets area inside page content
						casamia_create_widgets_area('widgets_below_content');
						?>				
					</div><!-- </.content> -->

					<?php
					// Show main sidebar
					get_sidebar();

					// Widgets area below page content
					casamia_create_widgets_area('widgets_below_page');

					$casamia_body_style = casamia_get_theme_option('body_style');
					if ($casamia_body_style != 'fullscreen') {
						?></div><!-- </.content_wrap> --><?php
					}
					?>
			</div><!-- </.page_content_wrap> -->

			<?php
			// Footer
			$casamia_footer_style = casamia_get_theme_option("footer_style");
			if (strpos($casamia_footer_style, 'footer-custom-')===0)
				$casamia_footer_style = casamia_is_layouts_available() ? 'footer-custom' : 'footer-default';
			get_template_part( "templates/{$casamia_footer_style}");
			?>

		</div><!-- /.page_wrap -->

	</div><!-- /.body_wrap -->

	<?php if (casamia_is_on(casamia_get_theme_option('debug_mode')) && casamia_get_file_dir('images/makeup.jpg')!='') { ?>
		<img src="<?php echo esc_url(casamia_get_file_url('images/makeup.jpg')); ?>" id="makeup">
	<?php } ?>

	<?php wp_footer(); ?>

</body>
</html>