<div class="front_page_section front_page_section_woocommerce<?php
			$casamia_scheme = casamia_get_theme_option('front_page_woocommerce_scheme');
			if (!casamia_is_inherit($casamia_scheme)) echo ' scheme_'.esc_attr($casamia_scheme);
			echo ' front_page_section_paddings_'.esc_attr(casamia_get_theme_option('front_page_woocommerce_paddings'));
		?>"<?php
		$casamia_css = '';
		$casamia_bg_image = casamia_get_theme_option('front_page_woocommerce_bg_image');
		if (!empty($casamia_bg_image)) 
			$casamia_css .= 'background-image: url('.esc_url(casamia_get_attachment_url($casamia_bg_image)).');';
		if (!empty($casamia_css))
			echo " style=\"{$casamia_css}\"";
?>><?php
	// Add anchor
	$casamia_anchor_icon = casamia_get_theme_option('front_page_woocommerce_anchor_icon');	
	$casamia_anchor_text = casamia_get_theme_option('front_page_woocommerce_anchor_text');	
	if ((!empty($casamia_anchor_icon) || !empty($casamia_anchor_text)) && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="front_page_section_woocommerce"'
										. (!empty($casamia_anchor_icon) ? ' icon="'.esc_attr($casamia_anchor_icon).'"' : '')
										. (!empty($casamia_anchor_text) ? ' title="'.esc_attr($casamia_anchor_text).'"' : '')
										. ']');
	}
	?>
	<div class="front_page_section_inner front_page_section_woocommerce_inner<?php
			if (casamia_get_theme_option('front_page_woocommerce_fullheight'))
				echo ' casamia-full-height sc_layouts_flex sc_layouts_columns_middle';
			?>"<?php
			$casamia_css = '';
			$casamia_bg_mask = casamia_get_theme_option('front_page_woocommerce_bg_mask');
			$casamia_bg_color = casamia_get_theme_option('front_page_woocommerce_bg_color');
			if (!empty($casamia_bg_color) && $casamia_bg_mask > 0)
				$casamia_css .= 'background-color: '.esc_attr($casamia_bg_mask==1
																	? $casamia_bg_color
																	: casamia_hex2rgba($casamia_bg_color, $casamia_bg_mask)
																).';';
			if (!empty($casamia_css))
				echo " style=\"{$casamia_css}\"";
	?>>
		<div class="front_page_section_content_wrap front_page_section_woocommerce_content_wrap content_wrap woocommerce">
			<?php
			// Content wrap with title and description
			$casamia_caption = casamia_get_theme_option('front_page_woocommerce_caption');
			$casamia_description = casamia_get_theme_option('front_page_woocommerce_description');
			if (!empty($casamia_caption) || !empty($casamia_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				// Caption
				if (!empty($casamia_caption) || (current_user_can('edit_theme_options') && is_customize_preview())) {
					?><h2 class="front_page_section_caption front_page_section_woocommerce_caption front_page_block_<?php echo !empty($casamia_caption) ? 'filled' : 'empty'; ?>"><?php
						echo wp_kses_post($casamia_caption);
					?></h2><?php
				}
			
				// Description (text)
				if (!empty($casamia_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
					?><div class="front_page_section_description front_page_section_woocommerce_description front_page_block_<?php echo !empty($casamia_description) ? 'filled' : 'empty'; ?>"><?php
                    echo wp_kses( wpautop( $casamia_description ), 'casamia_kses_content' );
					?></div><?php
				}
			}
		
			// Content (widgets)
			?><div class="front_page_section_output front_page_section_woocommerce_output list_products shop_mode_thumbs"><?php 
				$casamia_woocommerce_sc = casamia_get_theme_option('front_page_woocommerce_products');
				if ($casamia_woocommerce_sc == 'products') {
					$casamia_woocommerce_sc_ids = casamia_get_theme_option('front_page_woocommerce_products_per_page');
					$casamia_woocommerce_sc_per_page = count(explode(',', $casamia_woocommerce_sc_ids));
				} else {
					$casamia_woocommerce_sc_per_page = max(1, (int) casamia_get_theme_option('front_page_woocommerce_products_per_page'));
				}
				$casamia_woocommerce_sc_columns = max(1, min($casamia_woocommerce_sc_per_page, (int) casamia_get_theme_option('front_page_woocommerce_products_columns')));
				echo do_shortcode("[{$casamia_woocommerce_sc}"
									. ($casamia_woocommerce_sc == 'products' 
											? ' ids="'.esc_attr($casamia_woocommerce_sc_ids).'"' 
											: '')
									. ($casamia_woocommerce_sc == 'product_category' 
											? ' category="'.esc_attr(casamia_get_theme_option('front_page_woocommerce_products_categories')).'"' 
											: '')
									. ($casamia_woocommerce_sc != 'best_selling_products' 
											? ' orderby="'.esc_attr(casamia_get_theme_option('front_page_woocommerce_products_orderby')).'"'
											  . ' order="'.esc_attr(casamia_get_theme_option('front_page_woocommerce_products_order')).'"' 
											: '')
									. ' per_page="'.esc_attr($casamia_woocommerce_sc_per_page).'"' 
									. ' columns="'.esc_attr($casamia_woocommerce_sc_columns).'"' 
									. ']');
			?></div>
		</div>
	</div>
</div>