<div class="front_page_section front_page_section_googlemap<?php
			$casamia_scheme = casamia_get_theme_option('front_page_googlemap_scheme');
			if (!casamia_is_inherit($casamia_scheme)) echo ' scheme_'.esc_attr($casamia_scheme);
			echo ' front_page_section_paddings_'.esc_attr(casamia_get_theme_option('front_page_googlemap_paddings'));
		?>"<?php
		$casamia_css = '';
		$casamia_bg_image = casamia_get_theme_option('front_page_googlemap_bg_image');
		if (!empty($casamia_bg_image)) 
			$casamia_css .= 'background-image: url('.esc_url(casamia_get_attachment_url($casamia_bg_image)).');';
		if (!empty($casamia_css))
			echo " style=\"{$casamia_css}\"";
?>><?php
	// Add anchor
	$casamia_anchor_icon = casamia_get_theme_option('front_page_googlemap_anchor_icon');	
	$casamia_anchor_text = casamia_get_theme_option('front_page_googlemap_anchor_text');	
	if ((!empty($casamia_anchor_icon) || !empty($casamia_anchor_text)) && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="front_page_section_googlemap"'
										. (!empty($casamia_anchor_icon) ? ' icon="'.esc_attr($casamia_anchor_icon).'"' : '')
										. (!empty($casamia_anchor_text) ? ' title="'.esc_attr($casamia_anchor_text).'"' : '')
										. ']');
	}
	?>
	<div class="front_page_section_inner front_page_section_googlemap_inner<?php
			if (casamia_get_theme_option('front_page_googlemap_fullheight'))
				echo ' casamia-full-height sc_layouts_flex sc_layouts_columns_middle';
			?>"<?php
			$casamia_css = '';
			$casamia_bg_mask = casamia_get_theme_option('front_page_googlemap_bg_mask');
			$casamia_bg_color = casamia_get_theme_option('front_page_googlemap_bg_color');
			if (!empty($casamia_bg_color) && $casamia_bg_mask > 0)
				$casamia_css .= 'background-color: '.esc_attr($casamia_bg_mask==1
																	? $casamia_bg_color
																	: casamia_hex2rgba($casamia_bg_color, $casamia_bg_mask)
																).';';
			if (!empty($casamia_css))
				echo " style=\"{$casamia_css}\"";
	?>>
		<div class="front_page_section_content_wrap front_page_section_googlemap_content_wrap<?php
			$casamia_layout = casamia_get_theme_option('front_page_googlemap_layout');
			if ($casamia_layout != 'fullwidth')
				echo ' content_wrap';
		?>">
			<?php
			// Content wrap with title and description
			$casamia_caption = casamia_get_theme_option('front_page_googlemap_caption');
			$casamia_description = casamia_get_theme_option('front_page_googlemap_description');
			if (!empty($casamia_caption) || !empty($casamia_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				if ($casamia_layout == 'fullwidth') {
					?><div class="content_wrap"><?php
				}
					// Caption
					if (!empty($casamia_caption) || (current_user_can('edit_theme_options') && is_customize_preview())) {
						?><h2 class="front_page_section_caption front_page_section_googlemap_caption front_page_block_<?php echo !empty($casamia_caption) ? 'filled' : 'empty'; ?>"><?php
							echo wp_kses_post($casamia_caption);
						?></h2><?php
					}
				
					// Description (text)
					if (!empty($casamia_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
						?><div class="front_page_section_description front_page_section_googlemap_description front_page_block_<?php echo !empty($casamia_description) ? 'filled' : 'empty'; ?>"><?php
                        echo wp_kses( wpautop( $casamia_description ), 'casamia_kses_content' );
						?></div><?php
					}
				if ($casamia_layout == 'fullwidth') {
					?></div><?php
				}
			}

			// Content (text)
			$casamia_content = casamia_get_theme_option('front_page_googlemap_content');
			if (!empty($casamia_content) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				if ($casamia_layout == 'columns') {
					?><div class="front_page_section_columns front_page_section_googlemap_columns columns_wrap">
						<div class="column-1_3">
					<?php
				} else if ($casamia_layout == 'fullwidth') {
					?><div class="content_wrap"><?php
				}
	
				?><div class="front_page_section_content front_page_section_googlemap_content front_page_block_<?php echo !empty($casamia_content) ? 'filled' : 'empty'; ?>"><?php
					echo wp_kses_post($casamia_content);
				?></div><?php
	
				if ($casamia_layout == 'columns') {
					?></div><div class="column-2_3"><?php
				} else if ($casamia_layout == 'fullwidth') {
					?></div><?php
				}
			}
			
			// Widgets output
			?><div class="front_page_section_output front_page_section_googlemap_output"><?php 
				if (is_active_sidebar('front_page_googlemap_widgets')) {
					dynamic_sidebar( 'front_page_googlemap_widgets' );
				} else if (current_user_can( 'edit_theme_options' )) {
					if (!casamia_exists_trx_addons())
						casamia_customizer_need_trx_addons_message();
					else
						casamia_customizer_need_widgets_message('front_page_googlemap_caption', 'ThemeREX Addons - Google map');
				}
			?></div><?php

			if ($casamia_layout == 'columns' && (!empty($casamia_content) || (current_user_can('edit_theme_options') && is_customize_preview()))) {
				?></div></div><?php
			}
			?>			
		</div>
	</div>
</div>