<?php
/**
 * The template to display menu in the footer
 *
 * @package WordPress
 * @subpackage CASAMIA
 * @since CASAMIA 1.0.10
 */

// Footer menu
$casamia_menu_footer = casamia_get_nav_menu(array(
											'location' => 'menu_footer',
											'class' => 'sc_layouts_menu sc_layouts_menu_default'
											));
if (!empty($casamia_menu_footer)) {
	?>
	<div class="footer_menu_wrap">
		<div class="footer_menu_inner">
			<?php casamia_show_layout($casamia_menu_footer); ?>
		</div>
	</div>
	<?php
}
?>